RubyGems Navigation menu


Back to blog posts

2.1.2 Released

RubyGems 2.1.2 includes bug fixes.

To update to the latest RubyGems you can run:

gem update --system

If you need to upgrade or downgrade please follow the how to upgrade/downgrade RubyGems instructions. To install RubyGems by hand see the Download RubyGems page.

Bug fixes:

  • Restore concurrent requires following the fix for ruby bug #8374. Pull request #637 and issue #640 by Charles Nutter.
  • Gems with extensions are now installed correctly when the –install-dir option is used. Issue #642 by Lin Jen-Shin.
  • Gem fetch now fetches the newest (not oldest) gem when –version is given. Issue #643 by Brian Shirai.
Eric Hodel